# Method: projects.locations.regionalEndpoints.list

- [HTTP request](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#body.request_body)
- [Response body](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#body.ListRegionalEndpointsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints/list#try-it)

Lists RegionalEndpoints in a given project and location.

### HTTP request

`GET https://networkconnectivity.googleapis.com/v1beta/{parent=projects/*/locations/*}/regionalEndpoints`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource's name of the RegionalEndpoint. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` A page token. |
| `filter` | `string` A filter expression that filters the results listed in the response. |
| `orderBy` | `string` Sort the results by a certain order. |

### Request body

The request body must be empty.

### Response body

Response for regionalEndpoints.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "regionalEndpoints": [ { object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints#RegionalEndpoint`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `regionalEndpoints[]` | ``object (`https://docs.cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest/v1beta/projects.locations.regionalEndpoints#RegionalEndpoint`)`` Regional endpoints to be returned. |
| `nextPageToken` | `string` The next pagination token in the List response. It should be used as pageToken for the following request. An empty value means no more result. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).